﻿--2024-05-13update
ALTER TABLE t_d_form_widget MODIFY COLUMN role_type varchar(500) NULL COMMENT '角色类型';

--2024-05-14update
DROP TABLE IF EXISTS `t_b_crm_detail`;
CREATE TABLE t_b_crm_detail
(
    id BIGINT
        COMMENT '主键' NOT NULL,
    crm_no VARCHAR(100)
        COMMENT '派单号' NOT NULL,
    flow_deployment_id VARCHAR(50)
        COMMENT '流程部署id' NOT NULL,
    sop_no VARCHAR(100)
        COMMENT 'sop单号' NULL,
    status VARCHAR(20)
        COMMENT '状态，UN_PUBLISH：未发布，PUBLISH：发布' NOT NULL,
    course_name VARCHAR(255)
        COMMENT '科目名称' NOT NULL,
    exam_student_count INTEGER
        COMMENT '考生人数' NOT NULL,
    contacts VARCHAR(100)
        COMMENT '联系人' NULL,
    mobile_number VARCHAR(30)
        COMMENT '电话' NULL,
    service_scope VARCHAR(30)
        COMMENT '服务范围，SCAN：仅扫描，SCAN_MARK：扫描+阅卷' NOT NULL,
    scan_start_time BIGINT
        COMMENT '扫描开始时间' NOT NULL,
    scan_end_time BIGINT
        COMMENT '扫描结束时间' NOT NULL,
    mark_paper_start_time BIGINT
        COMMENT '阅卷开始时间' NOT NULL,
    mark_paper_end_time BIGINT
        COMMENT '阅卷结束时间' NOT NULL,
    create_id BIGINT
        COMMENT '创建人id' NULL,
    create_time BIGINT
        COMMENT '创建时间' NULL,
    update_id BIGINT
        COMMENT '更新人id' NULL,
    update_time BIGINT
        COMMENT '更新时间' NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `t_b_crm_detail_unique` (`crm_no`,`course_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='派单明细';

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3080, '导入派单明细', '/api/admin/tb/crm/detail/sop/import', 'URL', 3079, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3081, '获取派单信息', '/api/admin/tb/crm/detail/sop/var/info', 'URL', 3079, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3082, '派单明细sop变量保存', '/api/admin/tb/crm/detail/sop/var/save', 'URL', 3079, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3083, '获取派单明细sop信息', '/api/admin/tb/crm/detail/sop/info', 'URL', 3079, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3084, '创建/编辑派单明细sop', '/api/admin/tb/crm/detail/sop/save', 'URL', 3079, 5, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3085, '派单明细sop发布', '/api/admin/tb/crm/detail/sop/publish', 'URL', 3079, 6, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3086, '派单明细sop删除', '/api/admin/tb/crm/detail/sop/delete', 'URL', 3079, 7, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3087, '编辑派单明细sop', '/api/admin/tb/crm/detail/sop/edit', 'URL', 3079, 8, 'AUTH', NULL, 1, 1, 0);

-- 2024-05-15
ALTER TABLE t_b_crm ADD process_var MEDIUMTEXT
    COMMENT '过程变量' NULL after publish_time;

-- 2024-05-16
DROP TABLE IF EXISTS `t_b_engineer_allocation`;

-- 2024-05-18
UPDATE sys_privilege
SET name='sop填报接口', url='/api/admin/sop/approve', `type`='URL', parent_id=40, `sequence`=7, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3042;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3088, 'sop人员配置', '/api/admin/sop/allocation', 'URL', 40, 13, 'AUTH', NULL, 1, 1, 0);

-- 2024-05-20
UPDATE sys_privilege
SET name='sop删除', url='/api/admin/sop/cancel', `type`='URL', parent_id=40, `sequence`=9, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3045;
UPDATE sys_privilege
SET name='sop批量删除', url='/api/admin/sop/batch/cancel', `type`='URL', parent_id=40, `sequence`=10, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3046;

-- 2024-05-21
DELETE FROM sys_privilege
WHERE id=177;

UPDATE sys_privilege
SET name='填报', url='Fill', `type`='LINK', parent_id=41, `sequence`=2, property='AUTH', related='3042', enable=1, default_auth=0, front_display=1
WHERE id=175;
UPDATE sys_privilege
SET name='计划变更报备', url='ProjectExchange', `type`='LINK', parent_id=41, `sequence`=3, property='AUTH', related='3025', enable=1, default_auth=0, front_display=1
WHERE id=176;
UPDATE sys_privilege
SET name='新增违规 ', url='AddViolation', `type`='LINK', parent_id=41, `sequence`=4, property='AUTH', related='1025', enable=1, default_auth=0, front_display=1
WHERE id=178;
UPDATE sys_privilege
SET name='上报质量问题', url='ProblemSubmit', `type`='LINK', parent_id=41, `sequence`=5, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=179;
UPDATE sys_privilege
SET name='编辑', url='Edit', `type`='LINK', parent_id=41, `sequence`=6, property='AUTH', related='3047,3048', enable=1, default_auth=0, front_display=1
WHERE id=3037;
UPDATE sys_privilege
SET name='删除', url='Cancel', `type`='LINK', parent_id=41, `sequence`=7, property='AUTH', related='3045', enable=1, default_auth=0, front_display=1
WHERE id=3038;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3089, '人员配置', 'Allocation', 'LINK', 41, 1, 'AUTH', '3045', 1, 0, 1);

UPDATE sys_privilege
SET name='填报', url='Fill', `type`='LINK', parent_id=42, `sequence`=2, property='AUTH', related='3042', enable=1, default_auth=0, front_display=1
WHERE id=184;
UPDATE sys_privilege
SET name='计划变更报备', url='ProjectExchange', `type`='LINK', parent_id=42, `sequence`=3, property='AUTH', related='3025', enable=1, default_auth=0, front_display=1
WHERE id=185;
UPDATE sys_privilege
SET name='新增违规 ', url='AddViolation', `type`='LINK', parent_id=42, `sequence`=4, property='AUTH', related='1025', enable=1, default_auth=0, front_display=1
WHERE id=186;
UPDATE sys_privilege
SET name='上报质量问题', url='ProblemSubmit', `type`='LINK', parent_id=42, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=187;
UPDATE sys_privilege
SET name='编辑', url='Edit', `type`='LINK', parent_id=42, `sequence`=6, property='AUTH', related='3047,3048', enable=1, default_auth=0, front_display=1
WHERE id=3039;
UPDATE sys_privilege
SET name='删除', url='Cancel', `type`='LINK', parent_id=42, `sequence`=7, property='AUTH', related='3088', enable=1, default_auth=0, front_display=1
WHERE id=3040;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3090, '人员配置', 'Allocation', 'LINK', 42, 1, 'AUTH', '3088', 1, 0, 1);

UPDATE sys_privilege
SET name='创建sop', url='CreateSop', `type`='LINK', parent_id=51, `sequence`=4, property='AUTH', related='3080,3081,3082,3083,3084,3085,3086,3087', enable=1, default_auth=0, front_display=1
WHERE id=3079;

DROP TABLE IF EXISTS `t_b_sop_quick_search`;
CREATE TABLE `t_b_sop_quick_search` (
                                        `id` bigint NOT NULL COMMENT '主键',
                                        `type` varchar(20) NOT NULL COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程',
                                        `flow_deployment_id` varchar(50) NOT NULL COMMENT '流程部署id',
                                        `version` int NOT NULL COMMENT '版本号',
                                        `user_id` bigint NOT NULL COMMENT '用户id',
                                        `name` varchar(100) NOT NULL COMMENT '内容名称',
                                        `content` mediumtext NOT NULL COMMENT '内容',
                                        `content_type` varchar(20) NOT NULL COMMENT '内容类型，VIEW：显示列表，SEARCH：快捷搜索',
                                        PRIMARY KEY (`id`),
                                        UNIQUE KEY `t_b_sop_quick_search_unique` (`type`,`name`,`content_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop快捷搜索表';

INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(40, NULL, 'sop.quick.count', 'sop快捷条数', '10', NULL, 1, 1, 1, NULL, NULL, NULL);

-- 2024-05-22
UPDATE sys_privilege
SET name='教务处SOP管理', url='office', `type`='MENU', parent_id=40, `sequence`=1, property=NULL, related='3034,3035,3091,3092,3093', enable=1, default_auth=0, front_display=1
WHERE id=41;
UPDATE sys_privilege
SET name='研究生SOP管理', url='cloudMark', `type`='MENU', parent_id=40, `sequence`=2, property=NULL, related='3034,3035,3091,3092,3093', enable=1, default_auth=0, front_display=1
WHERE id=42;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3091, 'sop快捷搜索保存', '/api/admin/sop/quick/save', 'URL', 40, 14, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3092, 'sop快捷搜索列表', '/api/admin/sop/quick/list', 'URL', 40, 15, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3093, 'sop快捷搜索删除', '/api/admin/sop/quick/delete', 'URL', 40, 16, 'AUTH', NULL, 1, 1, 0);

-- 2024-05-28
UPDATE sys_config
SET org_id=NULL, config_key='sop.quick.count', config_name='sop快捷条数', config_value='5', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=40;

UPDATE sys_privilege
SET name='教务处SOP管理', url='office', `type`='MENU', parent_id=40, `sequence`=1, property=NULL, related='3034,3035,3091,3092,3093,2062', enable=1, default_auth=0, front_display=1
WHERE id=41;
UPDATE sys_privilege
SET name='研究生SOP管理', url='cloudMark', `type`='MENU', parent_id=40, `sequence`=2, property=NULL, related='3034,3035,3091,3092,3093,2062', enable=1, default_auth=0, front_display=1
WHERE id=42;

ALTER TABLE t_b_sop_quick_search DROP KEY t_b_sop_quick_search_unique;
ALTER TABLE t_b_sop_quick_search ADD CONSTRAINT t_b_sop_quick_search_unique UNIQUE KEY (`type`,name,content_type,user_id);

-- 2024-05-29
UPDATE sys_privilege
SET name='人员调配可选人员查询', url='/api/admin/user/archives/allocation/can_choose', `type`='URL', parent_id=3079, `sequence`=10, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=2062;

-- 2024-05-30
UPDATE sys_privilege
SET name='考勤异常待审核接口', url='/api/admin/ding/exception/apply/flow/task/un_done/list', `type`='URL', parent_id=27, `sequence`=2, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3019;
UPDATE sys_privilege
SET name='考勤异常已审核接口', url='/api/admin/ding/exception/apply/flow/task/done/list', `type`='URL', parent_id=27, `sequence`=3, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3020;
UPDATE sys_privilege
SET name='考勤异常审核接口', url='/api/admin/ding/exception/apply/flow/approve', `type`='URL', parent_id=27, `sequence`=4, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3021;
UPDATE sys_privilege
SET name='考勤异常批量审核接口', url='/api/admin/ding/exception/apply/flow/batch/approve', `type`='URL', parent_id=27, `sequence`=5, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3022;
UPDATE sys_privilege
SET name='项目变更计划审核接口', url='/api/admin/project/exchange/flow/approve', `type`='URL', parent_id=40, `sequence`=3, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3030;
UPDATE sys_privilege
SET name='质量问题反馈审核', url='/api/admin/tb/quality/problem/apply/approve', `type`='URL', parent_id=21, `sequence`=2, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3044;

-- 2024-05-31
ALTER TABLE t_b_crm_detail ADD publish_time BIGINT NULL COMMENT '发布时间';

UPDATE sys_privilege
SET name='人员调配', url='userAllocate', `type`='MENU', parent_id=32, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=34;

UPDATE sys_privilege
SET name='设备出入库登记', url='deviceInOutSop', `type`='MENU', parent_id=40, `sequence`=3, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=43;

-- 2024-06-03
UPDATE sys_privilege
SET name='数据驾驶舱', url='dataCockpit', `type`='MENU', parent_id=NULL, `sequence`=12, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=1100;
UPDATE sys_privilege
SET name='派单分析', url='crmAnalyse', `type`='MENU', parent_id=1100, `sequence`=1, property=NULL, related='1073,1074,1075,1076,1077,1078,1079,1080,1081,1082,1099', enable=1, default_auth=0, front_display=0
WHERE id=1101;
UPDATE sys_privilege
SET name='服务单元分析', url='serviceAnalyse', `type`='MENU', parent_id=1100, `sequence`=2, property=NULL, related='1062,1063,1064,1065,1066,1067,1068,1069,1070,1071,1072', enable=1, default_auth=0, front_display=0
WHERE id=1102;
UPDATE sys_privilege
SET name='SOP预警监控', url='sopAnalyse', `type`='MENU', parent_id=1100, `sequence`=3, property=NULL, related='1057,1058,1059,1060,1061', enable=1, default_auth=0, front_display=0
WHERE id=1103;
UPDATE sys_privilege
SET name='项目进度监控', url='sopSchedule', `type`='MENU', parent_id=1100, `sequence`=4, property=NULL, related='1094,1095,1097', enable=1, default_auth=0, front_display=0
WHERE id=1104;
UPDATE sys_privilege
SET name='设备保障监控', url='deviceMonitor', `type`='MENU', parent_id=1100, `sequence`=5, property=NULL, related='1090,1091,1092,1093', enable=1, default_auth=0, front_display=0
WHERE id=1105;
UPDATE sys_privilege
SET name='质量分析监控', url='qualityAnalyse', `type`='MENU', parent_id=1100, `sequence`=6, property=NULL, related='1083,1084,1085,1086,1087,1088,1089', enable=1, default_auth=0, front_display=0
WHERE id=1106;

UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='contacts', form_name='contacts', title='联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=22;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='mobile_number', form_name='mobile_number', title='电话', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=6
WHERE id=23;

-- 2024-06-04
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3094, '设备管理', 'DeviceManage', 'LINK', 41, 1, 'AUTH', '4018,4019,4020,4021,4022,4023,4024,4025', 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3095, '设备管理', 'DeviceManage', 'LINK', 42, 1, 'AUTH', '4018,4019,4020,4021,4022,4023,4024,4025', 1, 0, 1);

UPDATE sys_privilege
SET name='sop编辑', url='/api/admin/sop/edit', `type`='URL', parent_id=40, `sequence`=11, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3047;

UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='scan_end', form_name='scan_end', title='上传检查', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=38;